import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = 'http://project.test241.wanyuhengtong.com' + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}brandlist`, { data });
};

export const httpCreate = (data: object): any => {
  return http.request("post", `${yewuApi}brandcreate`, { data });
};

export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}branddel`, { data });
};


export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}brandedit`, { data });
};


export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}brandstatus`, { data });
};
